# Generated by Django 2.0.13 on 2019-03-25 12:33

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='ContactsModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('surname', models.CharField(max_length=255)),
                ('country', models.CharField(blank=True, max_length=255)),
                ('city', models.CharField(blank=True, max_length=255)),
                ('address', models.CharField(blank=True, max_length=255)),
                ('tags', models.CharField(blank=True, max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='Images',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('image', models.ImageField(blank=True, default=None, upload_to='')),
                ('contact', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='images', to='contact_app.ContactsModel')),
            ],
        ),
        migrations.CreateModel(
            name='TelephoneNumber',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('telephone', models.CharField(max_length=255)),
                ('contact', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='telephones', to='contact_app.ContactsModel')),
            ],
        ),
        migrations.CreateModel(
            name='Urls',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('url', models.URLField()),
                ('contact', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='urls', to='contact_app.ContactsModel')),
            ],
        ),
        migrations.AlterUniqueTogether(
            name='contactsmodel',
            unique_together={('name', 'surname')},
        ),
    ]
